## radiusd-livingston 1.16.1

=== src/Makefile ===
#
#	Makefile for RADIUS - 
#		Remote Authentication Dial In User Service
#
#
# Add -DNOSHADOW to CFLAGS if you don't have Shadow Passwords
#
# aix:	add -Daix to CFLAGS
# SCO:	add LIBS= -lsocket
# Solaris:
#	CFLAGS= -O -Dsys5
#	CC=	gcc -traditional
#	LIBS= -lnsl -lsocket
# unixware: add -Dunixware to CFLAGS, use LIBS= -lucb -lnsl -lsocket
#
SRCDIR=.
CFLAGS= -O -DNOSHADOW
LDFLAGS=
CC=	cc
LIBS=
SERVER_OBJS=radiusd.o dict.o users.o util.o md5.o attrprint.o acct.o version.o
SERVERDBM_OBJS=radiusd.o dict.o usersdbm.o util.o md5.o attrprint.o acct.o versiondbm.o
SERVER_SRCS=radiusd.c dict.c users.c util.c md5.c attrprint.c acct.c version.c
INCLUDES=$(SRCDIR)/radius.h $(SRCDIR)/conf.h

ALL:	radiusd radpass

dbm:	radiusd.dbm builddbm

radiusd: $(SERVER_OBJS)
	$(CC) $(CFLAGS) -o radiusd $(SERVER_OBJS) $(LIBS)

radiusd.dbm: $(SERVERDBM_OBJS)
	$(CC) $(CFLAGS) -o radiusd.dbm $(SERVERDBM_OBJS) -ldbm $(LIBS)

radiusd.o: $(SRCDIR)/radiusd.c $(INCLUDES)
	$(CC) $(CFLAGS) -c $(SRCDIR)/radiusd.c

acct.o: $(SRCDIR)/acct.c $(INCLUDES)
	$(CC) $(CFLAGS) -c $(SRCDIR)/acct.c

attrprint.o: $(SRCDIR)/attrprint.c $(INCLUDES)
	$(CC) $(CFLAGS) -c $(SRCDIR)/attrprint.c

dict.o: $(SRCDIR)/dict.c $(INCLUDES)
	$(CC) $(CFLAGS) -c $(SRCDIR)/dict.c

users.o: $(SRCDIR)/users.c $(INCLUDES)
	$(CC) $(CFLAGS) -c $(SRCDIR)/users.c

usersdbm.o: $(SRCDIR)/users.c $(INCLUDES)
	$(CC) $(CFLAGS) -DDBM -o usersdbm.o -c $(SRCDIR)/users.c

util.o: $(SRCDIR)/util.c $(INCLUDES)
	$(CC) $(CFLAGS) -c $(SRCDIR)/util.c

version.o: $(SRCDIR)/version.c $(INCLUDES)
	$(CC) $(CFLAGS) -o version.o -c $(SRCDIR)/version.c

versiondbm.o: $(SRCDIR)/version.c $(INCLUDES)
	$(CC) $(CFLAGS) -DDBM -o versiondbm.o -c $(SRCDIR)/version.c

radpass: radpass.o md5.o util.o
	$(CC) $(CFLAGS) -o radpass radpass.o md5.o util.o $(LIBS)

radpass.o: $(SRCDIR)/radpass.c $(INCLUDES)
	$(CC) $(CFLAGS) -c $(SRCDIR)/radpass.c

md5.o: $(SRCDIR)/md5.c $(SRCDIR)/md5.h
	$(CC) $(CFLAGS) -c $(SRCDIR)/md5.c

builddbm: builddbm.o
	$(CC) $(CFLAGS) -o builddbm builddbm.o -ldbm $(LIBS)

builddbm.o: $(SRCDIR)/builddbm.c
	$(CC) $(CFLAGS) -c $(SRCDIR)/builddbm.c

lint:
	-lint -hbacvx -DLINT $(SERVER_SRCS)
	-lint -hbacvx -DLINT ../radpass.c ../md5.c ../util.c

clean:
	rm -f *.o radiusd radpass builddbm radiusd.dbm

## radiusd-livingston 2.1

=== src/Makefile ===
#
# $Id: Makefile,v 1.9 1999/06/23 23:40:37 cdr Exp $ %Y% Copyright 1991 Livingston Enterprises Inc
#
# If your system has the /usr/include/shadow.h file and uses getspnam() then
# delete the -DNOSHADOW flag from CPPFLAGS in ../build/Makefile.$(EXT)
#
# To compile with support for SecurID
#  1) copy the SecurID header files (SDHEADERS) into this directory
#  2) copy the sdiclient.a library from SECURID into $(OBJDIR)
#	(and run ranlib on it if needed)
#  3) make EXT=sun4_4.1 sradiusd 
#	(RS6000_4.1, HP9000_10.01, and sun4_5.5 are also available for sradiusd)
#  4) run sradiusd exactly as you would run radiusd 
#	(you can rename it to radiusd if you wish)
#
# To build on a platform type "make EXT=platform build" where platform
# is replaced by the one of the following values.  For example, to build
# on SunOS 4.1.4 type "make EXT=sun4_4.1 build"
# 

CC              = gcc
COPT            = -O -g
CPPFLAGS        = -DNOSHADOW
LIBS            = $(RADLIBS)

TARGET=radiusd
# EXT=
SRCDIR=.
OBJDIR=./$(EXT)
SLIBS= $(OBJDIR)/sdiclient.a $(OBJDIR)/aegcli.a

# use the following defaults to build with iPass support

SSL_CFLAGS =    -DUSE_SSL
SSL_LDFLAGS =

# IPINCDIR =      /usr/ipass/include
# IPLIBDIR =      /usr/ipass/lib
IPINCDIR =      ../ipass/$(EXT)/usr/ipass/include
IPLIBDIR =	$(OBJDIR)

# uncomment rsaref if you're building a USA Domestic binary
#
SSL_LIBS =      -lssl -lcrypto #-lrsaref
ILIBS =	$(SSL_LIBS)

# use the following line for Solaris
# ILIBS =                -lip $(SSL_LIBS) -lnsl -lsocket
# use following for SunOS
ILIBS =                -lip $(SSL_LIBS)

# use this line for BSDI
# ILIBS =         -lip $(SSL_LIBS)

# ILIBS =   -lip $(AUTH_LIBS) $(SSL_LIBS) $(IPASS_LIBS)

ICFLAGS= $(COPT) $(CPPFLAGS) $(SSL_CFLAGS) -I$(IPINCDIR) $(IPASS_CFLAGS)

ILDFLAGS= -L$(IPLIBDIR) $(SSL_LDFLAGS)
 
#
# End of iPass configuration.
#

# comment out next line for BSD/OS 2.1 and 4.0
include $(SRCDIR)/conf/$(EXT)


CFLAGS          = $(COPT) $(CPPFLAGS)

HEADERS		= $(SRCDIR)/conf.h $(SRCDIR)/md5.h $(SRCDIR)/radius.h \
		  $(SRCDIR)/users.h

SDHEADERS	= $(SRCDIR)/sdacmvls.h $(SRCDIR)/sdconf.h $(SRCDIR)/sdi_athd.h \
		  $(SRCDIR)/sdi_size.h $(SRCDIR)/sdi_type.h $(SRCDIR)/activcard.h aegapi.h
RAD_CSRC        = $(SRCDIR)/acct.c \
		  $(SRCDIR)/dict.c $(SRCDIR)/ipass.c $(SRCDIR)/log.c \
		  $(SRCDIR)/md5.c $(SRCDIR)/menu.c $(SRCDIR)/pass.c \
		  $(SRCDIR)/proxy.c $(SRCDIR)/users.c $(SRCDIR)/util.c \
		  $(SRCDIR)/version.c $(SRCDIR)/radiusd.c $(SRCDIR)/vports.c
RAD_OBJS1        = $(OBJDIR)/radiusd.o \
		  $(OBJDIR)/acct.o $(OBJDIR)/dict.o \
		  $(OBJDIR)/ipass.o $(OBJDIR)/vports.o \
		  $(OBJDIR)/log.o $(OBJDIR)/md5.o $(OBJDIR)/menu.o \
		  $(OBJDIR)/proxy.o $(OBJDIR)/users.o $(OBJDIR)/util.o
RAD_OBJS2	 = $(OBJDIR)/pass.o $(OBJDIR)/version.o
RAD_OBJS	 = $(RAD_OBJS1) $(RAD_OBJS2)
SRAD_OBJS        = $(OBJDIR)/sradiusd.o $(OBJDIR)/acct.o $(OBJDIR)/dict.o \
		  $(OBJDIR)/ipass.o $(OBJDIR)/vports.o \
		  $(OBJDIR)/log.o $(OBJDIR)/md5.o \
		  $(OBJDIR)/menu.o $(OBJDIR)/pass.o $(OBJDIR)/proxy.o \
		  $(OBJDIR)/users.o $(OBJDIR)/util.o \
		  $(OBJDIR)/securid.o $(OBJDIR)/activcard.o \
		  $(OBJDIR)/sversion.o
IRAD_OBJS        = $(OBJDIR)/radiusd.o $(OBJDIR)/acct.o $(OBJDIR)/dict.o \
		  $(OBJDIR)/iipass.o $(OBJDIR)/vports.o \
		  $(OBJDIR)/log.o $(OBJDIR)/md5.o \
		  $(OBJDIR)/menu.o $(OBJDIR)/pass.o $(OBJDIR)/proxy.o \
		  $(OBJDIR)/users.o $(OBJDIR)/util.o \
		  $(OBJDIR)/iversion.o
TEST_OBJS	= $(OBJDIR)/users.o $(OBJDIR)/dict.o \
		  $(OBJDIR)/util.o $(OBJDIR)/log.o $(OBJDIR)/version.o

.PRECIOUS: $(HEADERS) ($SDHEADERS) $(RAD_CSRC) builddbm.c

CMDS		= $(OBJDIR)/radiusd $(OBJDIR)/builddbm
ALLCMDS         = $(OBJDIR)/radiusd $(OBJDIR)/builddbm $(OBJDIR)/testuser \
		  $(OBJDIR)/dbmkeys $(OBJDIR)/dbmrec $(OBJDIR)/radtest \
		  $(OBJDIR)/md5test

build:	$(OBJDIR) $(CMDS)

all:	$(OBJDIR) $(ALLCMDS)

clean:
	-rm -f $(ALLCMDS)
	-rm -f $(OBJDIR)/*.o

clobber: clean
	sccs clean

strip:
	strip $(CMDS)
allstrip:
	strip $(ALLCMDS)
b: $(OBJDIR)/builddbm
i: $(OBJDIR)/iradiusd
m: $(OBJDIR)/md5test
r: $(OBJDIR)/radiusd
s: $(OBJDIR)/sradiusd
t: $(OBJDIR)/radtest

$(OBJDIR):
	- mkdir -p $(OBJDIR)

$(OBJDIR)/radiusd: $(RAD_OBJS)
	$(CC) $(CFLAGS) -o $@ $(RAD_OBJS) $(LIBS)


$(OBJDIR)/builddbm: $(OBJDIR)/builddbm.o $(OBJDIR)/version.o $(OBJDIR)/log.o $(HEADERS)
	$(CC) $(CFLAGS) -o $@ $(OBJDIR)/builddbm.o $(OBJDIR)/version.o $(OBJDIR)/log.o $(LIBS)

$(OBJDIR)/md5test: $(SRCDIR)/md5test.c $(HEADERS) $(OBJDIR)/md5.o
	$(CC) $(CFLAGS) -o $@ $(SRCDIR)/md5test.c $(OBJDIR)/md5.o 

$(OBJDIR)/radtest: $(SRCDIR)/radtest.c $(HEADERS) $(OBJDIR)/md5.o $(OBJDIR)/dict.o $(OBJDIR)/util.o $(OBJDIR)/log.o
	$(CC) $(CFLAGS) -o $@ $(SRCDIR)/radtest.c $(OBJDIR)/md5.o $(OBJDIR)/dict.o $(OBJDIR)/util.o $(OBJDIR)/log.o $(LIBS)

$(OBJDIR)/testuser: $(SRCDIR)/testuser.c $(HEADERS) $(TEST_OBJS)
	$(CC) $(CFLAGS) -o $@ $(SRCDIR)/testuser.c $(TEST_OBJS) $(LIBS)

$(OBJDIR)/dbmkeys: $(SRCDIR)/dbmkeys.c
	$(CC) $(CFLAGS) -o $@ $(SRCDIR)/dbmkeys.c $(LIBS)

$(OBJDIR)/dbmrec: $(SRCDIR)/dbmrec.c $(HEADERS) $(TEST_OBJS)
	$(CC) $(CFLAGS) -o $@ $(SRCDIR)/dbmrec.c $(TEST_OBJS) $(LIBS)

$(OBJDIR)/builddbm.o:	$(SRCDIR)/builddbm.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/builddbm.c
$(OBJDIR)/radiusd.o:	$(SRCDIR)/radiusd.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/radiusd.c
$(OBJDIR)/users.o:	$(SRCDIR)/users.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/users.c
$(OBJDIR)/dict.o:	$(SRCDIR)/dict.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/dict.c
$(OBJDIR)/util.o:	$(SRCDIR)/util.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/util.c
$(OBJDIR)/md5.o:	$(SRCDIR)/md5.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/md5.c
$(OBJDIR)/acct.o:	$(SRCDIR)/acct.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/acct.c
$(OBJDIR)/version.o:	$(SRCDIR)/version.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/version.c
$(OBJDIR)/menu.o:	$(SRCDIR)/menu.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/menu.c
$(OBJDIR)/log.o:	$(SRCDIR)/log.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/log.c
$(OBJDIR)/proxy.o:	$(SRCDIR)/proxy.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/proxy.c
$(OBJDIR)/ipass.o:	$(SRCDIR)/ipass.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/ipass.c
$(OBJDIR)/pass.o:	$(SRCDIR)/pass.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/pass.c
$(OBJDIR)/vports.o:	$(SRCDIR)/vports.c
	$(CC) -c -o $@ $(CFLAGS) $(SRCDIR)/vports.c
#
# SecurID and Activcard support
#
sradiusd: $(OBJDIR)/sradiusd
$(OBJDIR)/sradiusd: $(SRAD_OBJS)
	$(CC) $(CFLAGS) -o $@ $(SRAD_OBJS) $(SLIBS) $(LIBS)
$(OBJDIR)/securid.o:	$(SRCDIR)/securid.c $(SDHEADERS)
	$(CC) -c -o $@ $(CFLAGS) -DSECURID -DACTIVCARD $(SRCDIR)/securid.c
$(OBJDIR)/sversion.o:	$(SRCDIR)/version.c
	$(CC) -c -o $@ -DSECURID -DACTIVCARD $(CFLAGS) $(SRCDIR)/version.c
$(OBJDIR)/sradiusd.o:	$(SRCDIR)/radiusd.c $(SDHEADERS)
	$(CC) -c -o $@ $(CFLAGS) -DSECURID -DACTIVCARD $(SRCDIR)/radiusd.c
#
$(OBJDIR)/activcard.o:	$(SRCDIR)/activcard.c $(SDHEADERS)
	$(CC) -c -o $@ $(CFLAGS) -DSECURID -DACTIVCARD $(SRCDIR)/activcard.c
#
# Ipass support
#
iradiusd: $(OBJDIR)/iradiusd
$(OBJDIR)/iradiusd: $(IRAD_OBJS)
	$(CC) $(ILDFLAGS) -o $@ $(IRAD_OBJS) $(ILIBS)
$(OBJDIR)/iipass.o:	$(SRCDIR)/ipass.c
	$(CC) -c -o $@ $(ICFLAGS) -DIPASS $(SRCDIR)/ipass.c
$(OBJDIR)/iversion.o:	$(SRCDIR)/version.c
	$(CC) -c -o $@ $(ICFLAGS) -DIPASS $(SRCDIR)/version.c

=== debian/changelog ===
radiusd-livingston (2.1-21) unstable; urgency=low

  * Updated to debhelper 9 and the dh sequencer.
  * Move to logrotate for log rotation.
  * Move to quilt for patches.
  * New patches:
    + ftbfs-gcc5-790276.patch: First step at closing #790276.
    + fix-declarations-req2str-751114.patch: Closes: #751114
  * Debconf translation:
    + Dutch (Jeroen Schot). Closes: #660226

 -- Paul Martin <pm@debian.org>  Tue, 04 Aug 2015 00:58:38 +0100

radiusd-livingston (2.1-20) unstable; urgency=low

  * Change to libdb-dev instead of libdb4.7-dev.
    (Closes: #612368, #628263)
  * Bump standards version to 3.9.2 (no changes)

 -- Paul Martin <pm@debian.org>  Tue, 31 May 2011 18:05:07 +0100

radiusd-livingston (2.1-19) unstable; urgency=low

  * Debconf translation (thanks for reminder from Christian):
    - Spanish (Camaleón). Closes: #584448
    - Danish (Joe Dalton). Closes: #586235 

 -- Paul Martin <pm@debian.org>  Mon, 11 Oct 2010 11:18:50 +0100

radiusd-livingston (2.1-18) unstable; urgency=low

  [ Christian Perrier and the debian-i18n team ]
  * Add $remote_fs to Required-{Start|Stop} in init script
    to ensure that /usr is mounted when the start and stop scripts
    are being run
  * Add ${misc:Depends} tp package dependencies to cope with
    dependencies triggerred by the use of debhelper
  * Fix pending l10n issues. Debconf translations:
    - Russian (Yuri Kozlov).  Closes: #552448
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #558164

  [ Paul Martin ]
  * Specify debian/source/format of 1.0 for now. Generating a nice set of
    quilt patches will be tricky.
  * Bump standards version to 3.8.4 (no changes).
  * Bump debian/compat to 7, debhelper build-dep to >>7, and change 
    "dh_clean -k" to "dh_prep".

 -- Paul Martin <pm@debian.org>  Tue, 01 Jun 2010 14:28:11 +0100

radiusd-livingston (2.1-17) unstable; urgency=low

  * Build-dep on libdb4.7-dev. (Closes: #524296)
  * Bump standards version (no changes).

 -- Paul Martin <pm@debian.org>  Thu, 16 Apr 2009 11:35:33 +0100

radiusd-livingston (2.1-16) unstable; urgency=low

  [ debian-i18n ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #425858
  * Debconf translation updates:
        Arabic (ar.po) Closes: #427111
        Czech (cz.po) Closes: #427891
        French (fr.po) Closes: #427342
        Galician (gl.po) Closes: #426430
        German (de.po) Closes: #427540
        Italian (it.po) Closes: #427227
        Portuguese (pt.po) Closes: #427063
        Swedish (sv.po) Closes: #426593

  [ Paul Martin ]
  * Thanks to Christian Perrier for coordinating the above.

 -- Paul Martin <pm@debian.org>  Fri, 07 Mar 2008 09:07:42 +0000

radiusd-livingston (2.1-15) unstable; urgency=low

  * Patch for logic error which gcc gives a warning for.
    Thanks to Ian Brabham.
  * Switch to using invoke-rc.d instead of calling script in /etc/init.d
    directly.
  * Build against libdb4.5. (Closes: #421952)
  * Fix all gcc warnings. (Closes: #371140)
  * Fix lintian warnings:
     debian-rules-sets-DH_COMPAT, init.d-script-missing-lsb-section,
     out-of-date-standards-version, read-in-maintainer-script.
  * Uses debconf for printing notes. (Closes: #328329)

 -- Paul Martin <pm@debian.org>  Wed, 02 May 2007 22:24:16 +0100

radiusd-livingston (2.1-14) unstable; urgency=low

  * Fix bash-ism in debian/rules. (Closes: #376357)

 -- Paul Martin <pm@debian.org>  Sun,  2 Jul 2006 16:09:29 +0100

radiusd-livingston (2.1-13) unstable; urgency=low

  * Added errno.h include to src/dbmrec.c and src/dbmkey.c. Fixes build 
    on amd64. (Closes: #273629)

 -- Paul Martin <pm@debian.org>  Tue, 26 Apr 2005 18:42:03 +0100

radiusd-livingston (2.1-12) unstable; urgency=low

  * Now build against libdb4.2-dev. (Closes: #248519)
  * Newer standards version.
  * Switch from dh_installmanpages to dh_installman

 -- Paul Martin <pm@debian.org>  Wed, 18 Aug 2004 21:49:48 +0100

radiusd-livingston (2.1-11) unstable; urgency=low

  * Added Tunnel-Client-Auth-ID and Tunnel-Server-Auth-ID attributes
    to dictionary.

 -- Paul Martin <pm@debian.org>  Thu, 13 Nov 2003 03:17:05 +0000

radiusd-livingston (2.1-10) unstable; urgency=low

  * Implement restart and force-reload in init.d script
    (Closes: #197038)
  * Fix postinst to point at correct location of example clients and 
    users files. (Closes: #203615)

 -- Paul Martin <pm@debian.org>  Tue, 19 Aug 2003 15:32:36 +0100

radiusd-livingston (2.1-9) unstable; urgency=low

  * Removed #include of varargs.h from src/testuser.c. It doesn't
    use it, and GCC 3.3 has deprecated varargs.h. (Closes: #195497)
  * Fixed radiusd.8 and builddbm.8 NAME section heading.
  * Fix debian/copyright to stop lintian moaning.
  * Written a manpage for radtest.1.
  * Cleaned up compiler warnings:
    + added #include <string.h> to md5test.c, dbmrec.c, dbmkeys.c
    + changed sys_errlist[] reference to strerror() call in
      builddbm.c, dbmkeys.c, dbmrec.c, radiusd.c, proxy.c
    + commented out extra stuff after #endif in radiusd.c
  * Standards-Version: 3.5.10

 -- Paul Martin <pm@debian.org>  Sat, 31 May 2003 15:04:12 +0100

radiusd-livingston (2.1-8) unstable; urgency=low

  * Added Build-Depends on libdb2-dev. (Closes: #159256)

 -- Paul Martin <pm@debian.org>  Tue,  3 Sep 2002 01:03:33 +0100

radiusd-livingston (2.1-7) unstable; urgency=low

  * Included radtest program in the package at the suggestion of
    Todd Charron <tcharron@mnsi.net>.
  * Use debhelper v4.
  * Standards-Version: 3.5.6
  * Updated to use db2 includes, as the db1-compat header files are no
    longer supported by libc6.
  * Allow use of shadow passwords. (Closes: #157754)
  * Additions to README.Debian, and "debian/rules clean" now cleans up
    install-stamp.

 -- Paul Martin <pm@debian.org>  Thu, 22 Aug 2002 14:36:39 +0100

radiusd-livingston (2.1-6) unstable; urgency=high

  * Applied security fix radius-2.1.digest.patch from 


=== debian/control ===
Source: radiusd-livingston
Section: net
Priority: optional
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: debhelper (>>9), libdb-dev
Standards-Version: 3.9.3

Package: radiusd-livingston
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: radius-server
Replaces: radius-server
Provides: radius-server
Description: Remote Authentication Dial-In User Service (RADIUS) server
 RADIUS is an AAA (authentication, authorization and accounting) protocol for
 managing client access to network services, and is described by RFCs 2865 to
 2869. This version of the RADIUS server is from Lucent Technologies Inc.,
 formerly known as Livingston Enterprises Inc.
 .
 Some Internet Service Providers (ISPs) require a username and password to be
 given on connection. Before access to the network is granted, this
 information is passed to a Network Access Server (NAS) device over the
 link-layer protocol and then to a RADIUS server over the RADIUS protocol. The
 RADIUS server checks that the information is correct using authentication
 schemes like PAP, CHAP or EAP. If accepted, the server will then authorize
 access to the ISP's system and select an IP address, L2TP parameters, etc.
 .
 RADIUS is also commonly used for accounting purposes so that the users can be
 billed accordingly.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	cd src; $(MAKE) EXT=Linux_Deb all

override_dh_clean:
	-cd src; $(MAKE) EXT=Linux_Deb clean
	-rm -rf src/Linux_Deb
	dh_clean
